VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vcenter::NetworkTypes::Type Class Reference

The `Network.Type` enumerated type defines the type of a vCenter Server network. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, STANDARD_PORTGROUP, DISTRIBUTED_PORTGROUP, OPAQUE_NETWORK }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static Type[] | GetValues ()
static Type | ValueOf (string name)
## Static Public Attributes
static readonly Type | STANDARD_PORTGROUP = new Type("STANDARD_PORTGROUP", Values.STANDARD_PORTGROUP)
| XXX: ESX based (created and managed on ESX)
static readonly Type | DISTRIBUTED_PORTGROUP = new Type("DISTRIBUTED_PORTGROUP", Values.DISTRIBUTED_PORTGROUP)
| XXX: vCenter based (create and managed through vCenter)
static readonly Type | OPAQUE_NETWORK = new Type("OPAQUE_NETWORK", Values.OPAQUE_NETWORK)
| A network for whose configuration is managed outside of vSphere.

## Detailed Description

The `Network.Type` enumerated type defines the type of a vCenter Server network.

The type of a network can be used to determine what features it supports and which APIs can be used to find more information about the network or change its configuration.

## Member Enumeration Documentation

enum vmware::vcenter::NetworkTypes::Type::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  STANDARD_PORTGROUP | XXX: ESX based (created and managed on ESX)
  DISTRIBUTED_PORTGROUP | XXX: vCenter based (create and managed through vCenter)
  OPAQUE_NETWORK | A network for whose configuration is managed outside of vSphere. The identifer and name of the network is made available through vSphere so that host and virtual machine virtual ethernet devices can connect to them.

## Member Function Documentation

Values vmware::vcenter::NetworkTypes::Type::GetEnumValue | ( |  | ) | `[inline]`

static Type [] vmware::vcenter::NetworkTypes::Type::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vcenter::NetworkTypes::Type::IsUnknown | ( |  | ) | `[inline]`

static Type vmware::vcenter::NetworkTypes::Type::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly Type vmware::vcenter::NetworkTypes::Type::DISTRIBUTED_PORTGROUP = new Type("DISTRIBUTED_PORTGROUP", Values.DISTRIBUTED_PORTGROUP)`[static]`

XXX: vCenter based (create and managed through vCenter)

readonly Type vmware::vcenter::NetworkTypes::Type::OPAQUE_NETWORK = new Type("OPAQUE_NETWORK", Values.OPAQUE_NETWORK)`[static]`

A network for whose configuration is managed outside of vSphere.

The identifer and name of the network is made available through vSphere so that host and virtual machine virtual ethernet devices can connect to them.

readonly Type vmware::vcenter::NetworkTypes::Type::STANDARD_PORTGROUP = new Type("STANDARD_PORTGROUP", Values.STANDARD_PORTGROUP)`[static]`

XXX: ESX based (created and managed on ESX)

The documentation for this class was generated from the following file:

- NetworkTypes.cs